# $Revision: 1.7 $, $Date: 2002/01/12 23:51:14 $
%define	sg_utils_ver	0.97
%define	scsidev_ver	2.10
%define	scsiinfo_ver	1.7
Summary:	SCSI utilities
Summary(pl):	Narzdzia do SCSI
Name:		scsiutils
Version:	%{scsiinfo_ver}.%{scsidev_ver}.%{sg_utils_ver}
Release:	1
Epoch:		1
License:	GPL v2
Group:		Applications/System
Group(de):	Applikationen/System
Group(pl):	Aplikacje/System
Source0:	ftp://tsx-11.mit.edu/pub/linux/ALPHA/scsi/scsiinfo-%{scsiinfo_ver}.tar.gz
Source1:	http://www.torque.net/sg/p/sg_utils-%{sg_utils_ver}.tgz
Source2:	http://www.garloff.de/kurt/linux/scsidev/scsidev-%{scsidev_ver}.tar.gz
Source3:	http://www.garloff.de/kurt/linux/rescan-scsi-bus.sh
Patch0:		scsiinfo-glibc.patch
Patch1:		scsiinfo-makefile.patch
Patch2:		scsiinfo-misc.patch
Patch3:		scsiinfo-tmpdir.patch
Patch4:		sg_utils-makefile.patch
Patch5:		scsidev-makefile.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	tk-devel
Provides:	scsiinfo sg_utils scsidev
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A collection of useful tools for users of SCSI systems:
- scsiinfo: Allows to access some internals of SCSI devices, such as
  defect lists or the so-called mode pages, which control e.g. the
  behaviour of the device's cache or error management.
- scsiformat: A low-level formatting tool for SCSI disks.
- scsidev: If your SCSI config changes from time to time, e.g. because
  you have external devices which are not always switched on or
  connected then the kernel's mapping to the device nodes is not always
  the way you would expect it. This program creates a mapping which
  remains unchanged in most of these cases.
- rescan-scsi-bus.sh: Script that scans the SCSI bus and dynamicaaly
  adds (and optionally removes) devices.
- sg_utils: A colection of small useful tools, that are based on the
  sg interface and give info on the SCSI bus, copy data... Warning:
  Some of these tools access the internals of your system and a wrong
  usage of them may render your system inoperational.

Note: scsiinfo comes with a graphical user interface which can be found
in the scsiutils-tk package.

%description -l pl
Zestaw uytecznych narzdzi dla uytkownikw systemw SCSI:
- scsiinfo: pozwala na dostp do niektrych informacji wewntrznych
  SCSI, takich jak listy defektw, strony trybw (kontrolujcych
  zachowanie cache urzdzenia i obsug bdw).
- scsiformat: narzdzie do niskopoziomowego formatowania dyskw SCSI.
- scsidev: jeeli Twoja konfiguracja SCSI zmienia si, np. poniewa
  masz urzdzenia zewntrzne nie zawsze podczone lub wczone,
  mapowania jdra dotyczce urzdze SCSI nie s takie same. Ten
  program tworzy mapowanie nie zmieniajce si w wikszoci
  przypadkw.
- rescan-scsi-bus.sh: skrypt skanujcy szyn SCSI i dynamicznie
  dodajcy (opcjonalnie take usuwajcy) urzdzenia.
- sg_utils: zestaw maych narzdzi bazujcych na interfejsie sg
  udostpniajcych informacje o szynie SCSI, kopiujcych dane...
  Uwaga: cz z nich uywa dostpu do wntrznoci systemu i ze ich
  uycie moe uczyni system niedziaajcym.

Dostpny jest interfejs graficzny do scsiinfo - znajduje si w
pakiecie scsiutils-tk.

%package tk
Summary:	Tk graphical frontend for scsiinfo
Summary(pl):	Graficzny frontend do scsiinfo oparty o Tk
Group:		X11/Applications
Group(de):	X11/Applikationen
Group(pl):	X11/Aplikacje
Requires:	%{name} = %{version}
Requires:	tk

%description tk
For visualization and manipulation of SCSI mode pages, scsiinfo comes
with graphical interface.

%description tk -l pl
Graficzny interfejs do scsiinfo - do wizualizacji i manipulowania
stronami trybw SCSI.

%prep
%setup -q -c -a1 -a2
cd scsiinfo-%{scsiinfo_ver}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
cd ../sg_utils-%{sg_utils_ver}
%patch4 -p1
cd ../scsidev-%{scsidev_ver}
%patch5 -p1

%build
cd scsiinfo-%{scsiinfo_ver}
%{__make} clean
%{__make} OPT="%{rpmcflags}"

cd ../scsidev-%{scsidev_ver}
aclocal
autoconf
%configure
%{__make}

cd ../sg_utils-%{sg_utils_ver}
mv -f README README.sg
%{__make} OPT="%{rpmcflags}" PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,%{_sbindir},%{_bindir},%{_libdir}/scsi,%{_mandir}/man8}

cd scsiinfo-%{scsiinfo_ver}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd ../scsidev-%{scsidev_ver}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	bindir=/sbin

install %{SOURCE3} $RPM_BUILD_ROOT/sbin/rescan-scsi-bus

cd ../sg_utils-%{sg_utils_ver}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}
cd ..

gunzip $RPM_BUILD_ROOT%{_mandir}/man8/*.gz
gzip -9nf scsiinfo-%{scsiinfo_ver}/{0-CHANGES,0-README.first,0-TODO} \
	scsidev-%{scsidev_ver}/{boot.diff,CHANGES,README,TODO} \
	sg_utils-%{sg_utils_ver}/{README.sg,README.sg_start,CHANGELOG}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc scsiinfo-%{scsiinfo_ver}/*.gz scsidev-%{scsidev_ver}/*.gz sg_utils-%{sg_utils_ver}/*.gz
%attr(755,root,root) /sbin/scsidev
%attr(755,root,root) /sbin/rescan-scsi-bus
%attr(755,root,root) %{_sbindir}/sgcheck
%attr(755,root,root) %{_bindir}/scsiformat
%attr(755,root,root) %{_bindir}/scsiinfo
%attr(755,root,root) %{_bindir}/scsi_inquiry
%attr(755,root,root) %{_bindir}/sginfo
%attr(755,root,root) %{_bindir}/sgp_dd 
%attr(755,root,root) %{_bindir}/sg_dd
%attr(755,root,root) %{_bindir}/sg_debug
%attr(755,root,root) %{_bindir}/sg_inq
%attr(755,root,root) %{_bindir}/sg_map 
%attr(755,root,root) %{_bindir}/sg_rbuf
%attr(755,root,root) %{_bindir}/sg_read
%attr(755,root,root) %{_bindir}/sg_readcap
%attr(755,root,root) %{_bindir}/sg_runt_ex
%attr(755,root,root) %{_bindir}/sg_scan 
%attr(755,root,root) %{_bindir}/sg_simple1 
%attr(755,root,root) %{_bindir}/sg_simple2
%attr(755,root,root) %{_bindir}/sg_start
%attr(755,root,root) %{_bindir}/sg_test_rwbuf
%attr(755,root,root) %{_bindir}/sg_turs
%attr(755,root,root) %{_bindir}/sg_whoami
%{_mandir}/man8/scsidev.8*
%{_mandir}/man8/scsiformat.8*
%{_mandir}/man8/scsiinfo.8*
%{_mandir}/man8/sg_dd.8*
%{_mandir}/man8/sg_map.8*
%{_mandir}/man8/sg_rbuf.8*
%{_mandir}/man8/sgp_dd.8*
#%attr(755,root,root) %{_bindir}/sg_poll
#%attr(755,root,root) %{_bindir}/sg_dd512
#%attr(755,root,root) %{_bindir}/sgq_dd512
#%attr(755,root,root) %{_bindir}/sg_dd2048
#%attr(755,root,root) %{_bindir}/sg_tst_med

%files tk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/scsi-config
%attr(755,root,root) %{_bindir}/tk_scsiformat
%dir %{_libdir}/scsi
%attr(755,root,root) %{_libdir}/scsi/cache
%attr(755,root,root) %{_libdir}/scsi/control
%attr(755,root,root) %{_libdir}/scsi/disconnect
%attr(755,root,root) %{_libdir}/scsi/error
%attr(755,root,root) %{_libdir}/scsi/format
%attr(644,root,root) %{_libdir}/scsi/generic
%attr(755,root,root) %{_libdir}/scsi/inquiry
%attr(755,root,root) %{_libdir}/scsi/notch
%attr(755,root,root) %{_libdir}/scsi/overview
%attr(755,root,root) %{_libdir}/scsi/peripheral
%attr(755,root,root) %{_libdir}/scsi/rigid
%attr(755,root,root) %{_libdir}/scsi/save-changes
%attr(755,root,root) %{_libdir}/scsi/save-file
%attr(755,root,root) %{_libdir}/scsi/tworands
%attr(755,root,root) %{_libdir}/scsi/verify
%{_mandir}/man8/scsi-config.8*
%{_mandir}/man8/tk_scsiformat.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog -n scsi
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: scsiutils.spec,v $
Revision 1.7  2002/01/12 23:51:14  blues
- some macros used
- sg-utils 0.97 (not some crazy snap)
- patches: one obsolete removed, one updated
- install updated
STB

Revision 1.6  2001/10/03 07:49:26  qboosh
- added Source0 URL

Revision 1.5  2001/10/01 09:33:34  qboosh
- pl descriptions, BuildRequires: autoconf,automake

Revision 1.4  2001/09/29 21:25:17  blues
- release 2
- ac2.5 ready

Revision 1.3  2001/05/02 21:51:28  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.2  2000/12/28 15:20:33  baggins
- buildrequires tk-devel

Revision 1.1  2000/08/07 23:13:09  baggins
- initial revision

* Fri Mar 03 2000 - garloff@suse.de
- Initial creation of package, containing
  * scsiinfo-1.7
  * scsiformat
  * scsidev-2.10
  * rescan-scsi-bus.sh
  * sg_utils000207
